Skip to main content

Documentation Index

Fetch the complete documentation index at: https://docs.tera.gw/llms.txt

Use this file to discover all available pages before exploring further.

Model id: openai/gpt-oss-120b — pass this as the model field in API requests.

Spec

Provideropenai
HuggingFaceopenai/gpt-oss-120b
Context length131,072 tokens
Max output4,096 tokens
Quantizationmxfp4
Input modalitiestext
Output modalitiestext

Pricing

per million tokens
Input$1.50
Output$8.00

Supported features

tools, json_mode, structured_outputs, logprobs

Sampling parameters

temperature, top_p, top_k, max_tokens, stop, seed, frequency_penalty, presence_penalty, repetition_penalty, logprobs, top_logprobs

Example

curl https://api.tera.gw/v1/chat/completions \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer $TERA_API_KEY" \
  -d '{
    "model": "openai/gpt-oss-120b",
    "messages": [{"role": "user", "content": "Hello"}],
    "max_tokens": 64
  }'